Download it now!
Bug 75940 - FILESAVE: Conditional Formatting changed after worksheet deletion
Summary: FILESAVE: Conditional Formatting changed after worksheet deletion
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-03-09 05:42 UTC by Mike Finch
Modified: 2016-01-20 10:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
spreadsheet test.ods (106.23 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-03-09 05:42 UTC, Mike Finch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Finch 2014-03-09 05:42:59 UTC
Created attachment 95394 [details]
spreadsheet test.ods

Problem description: formatting is haphazard

Steps to reproduce:
1. load test.ods
2. delete templates to right of Mix & Match
3. colour formatting in remaining tables is wrong

Current behavior: variable red typefaced cells

Expected behavior: winning scores only should display in red (this is now true since version 4.2.0)

              
Operating System: Linux (Other)
Version: 4.2.0.4 release
Comment 1 m.a.riosv 2014-03-09 23:06:51 UTC
Hi Mike,
please how do you delete the templates?
I guess templates are the range D4:M8.
Comment 2 Mike Finch 2014-03-16 02:53:10 UTC
I think I should have said TABS instead of TEMPLATES.

Highlight tabs to right of Mix & Match and right click and choose Delete Sheets.

They disappear and I save the pruned spreadsheet. ALL scores now seem to be in red.

Version 4.2.2 has not fixed this!
Comment 3 m.a.riosv 2014-03-16 13:24:09 UTC
Deleting all sheets beyond 'Mix & Match', save and reopen.

The conditional format formulas are modified in the comparison references.

Prior for C5: Cell value is > D4
After for C5: Cell value is > F8
Comment 4 m.a.riosv 2014-03-16 13:40:20 UTC
First with the issue:
Version: 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

Reproducible in:
Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f
Version: 4.3.0.0.alpha0+ Build ID: 12ae7672f285da1d4c730315e8db23b3396b71cc
   TinderBox: Win-x86@39, Branch:master, Time: 2014-03-14_00:18:00

Last working:
Version: 4.1.6.0.0+ Build ID: 0b772a163b2536fc55aa3b4de925119e33af769
Comment 5 Dominik 2014-07-04 22:48:16 UTC
i'd say it's a dup of 73678.

what do you think?
Comment 6 ign_christian 2014-09-06 09:50:56 UTC
(In reply to comment #5)
> i'd say it's a dup of 73678.
Looks different.. This bug change condition after sheet deletion, as in comment 3. Bug 73678 doesn't, just an incorrect display of particular cells.

Still repro with LO 4.2.6.3 and 4.3.1.2 if all worksheets in the right of 'Mix & Match' removed.
Comment 7 raal 2014-10-10 16:37:21 UTC
There are only 'skip'ped commits left to test.
The first bad commit could be any of:
2e9435770d673b5f2ab59bc2f53d7709c4bd3650
08d5ea8e996493ba7371a6cf954fbc0469d9042a
We cannot bisect more!

git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# good: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect good ba096f438393091574da98fe7b8e6b05182a8971
# bad: [e75547cbd2d9d480ba13e119a8df8098c9d3a0a3] source-hash-69f686774cfeb803fdd63ed1ef07ff70550930de
git bisect bad e75547cbd2d9d480ba13e119a8df8098c9d3a0a3
# bad: [4984b2bcccf87dab80d9c47fb934d4ea0c08bd28] source-hash-89aeec9b1d2f771310eeb0fa4c820c19599df0f7
git bisect bad 4984b2bcccf87dab80d9c47fb934d4ea0c08bd28
# bad: [08d5ea8e996493ba7371a6cf954fbc0469d9042a] source-hash-a38f09fec16f24886414c3e9f9574a06b56d8077
git bisect bad 08d5ea8e996493ba7371a6cf954fbc0469d9042a
# good: [b886825d7eb2550ab40d7b4cd16de8096c57d6eb] source-hash-b46688a663b8709e0e0795f25ef8961db1f46cba
git bisect good b886825d7eb2550ab40d7b4cd16de8096c57d6eb
# skip: [2e9435770d673b5f2ab59bc2f53d7709c4bd3650] source-hash-31ab7f0c7d20f1d7be5ce818d0d99b6bd5a8edde
git bisect skip 2e9435770d673b5f2ab59bc2f53d7709c4bd3650
# only skipped commits left to test
# possible first bad commit: [08d5ea8e996493ba7371a6cf954fbc0469d9042a] source-hash-a38f09fec16f24886414c3e9f9574a06b56d8077
# possible first bad commit: [2e9435770d673b5f2ab59bc2f53d7709c4bd3650] source-hash-31ab7f0c7d20f1d7be5ce818d0d99b6bd5a8edde
Comment 8 Markus Mohrhard 2014-12-22 00:52:31 UTC
Works in master. Most likely fixed through another bug fix.
Comment 9 Robinson Tryon (qubit) 2015-12-17 07:53:29 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]